<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>kangarooDataCenterV3</artifactId>
        <groupId>com.hzya.frame</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <artifactId>base-webapp</artifactId>
    <version>${revision}</version>

    <dependencies>
        <dependency>
            <groupId>com.hzya.frame</groupId>
            <artifactId>base-service</artifactId>
            <version>${revision}</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-bip</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-cbs</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-dd</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-grpU8</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-nc</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-ncc</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-ningbobank</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.hzya.frame</groupId>
            <artifactId>fw-oa</artifactId>
            <version>${revision}</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-u8</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-u8c</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>com.hzya.frame</groupId>-->
<!--            <artifactId>fw-u9c</artifactId>-->
<!--            <version>${revision}</version>-->
<!--        </dependency>-->
<!--                <dependency>-->
<!--                    <groupId>com.hzya.frame</groupId>-->
<!--                    <artifactId>fw-weixin</artifactId>-->
<!--                    <version>${revision}</version>-->
<!--                </dependency>-->

    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>none</mainClass>     <!-- 取消查找本项目下的Main方法：为了解决Unable to find main class的问题 -->
                    <classifier>execute</classifier>    <!-- 为了解决依赖模块找不到此模块中的类或属性 -->
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
